@import '../../../../assets/style/variables.scss';

.paymentTypesBlock__list{
    list-style: none;
    margin: 0;
    .paymentTypesBlock__listItem{
        margin: 1rem 0;
        font-size: 1.2rem;
        .paymentTypesBlock__label{
            cursor: pointer;
        }
        .paymentTypesBlock__icon{
            width: 35px;
            height: 35px;
            margin-right: 0.5rem;

        }

        .paymentTypesBlock__radio {

            position: absolute;
            z-index: -1;
            opacity: 0;
            label {
                display: inline-flex;
                align-items: center;
                user-select: none;
            }
        
        }
        .paymentTypesBlock__radio+label {
            display: inline-flex;
                align-items: center;
                user-select: none;
        }
        .paymentTypesBlock__radio+label::before {
            content: '';
            display: inline-block;
            width: 1em;
            height: 1em;
            flex-shrink: 0;
            flex-grow: 0;
            border: 1px solid #adb5bd;
            border-radius: 0.5em;
            margin-right: 0.5em;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: 50% 50%;
        }
        .paymentTypesBlock__radio:checked+label::before {
            border-color: $primary;
            background-color: $primary;
            background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%23fff' d='M6.564.75l-3.59 3.612-1.538-1.55L0 4.26 2.974 7.25 8 2.193z'/%3e%3c/svg%3e");
        }
        .paymentTypesBlock__radio:not(:disabled):not(:checked)+label:hover::before {
            border-color: #b3d7ff;
        }
        .paymentTypesBlock__radio:not(:disabled):active+label::before {
            background-color: #b3d7ff;
            border-color: #b3d7ff;
        }
        .paymentTypesBlock__radio:disabled+label::before {
            background-color: #e9ecef;
        }
    }
   
}
